## kwin 5.27.7

=== debian/changelog ===
kwin (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:01 +0200

=== debian/control ===
Source: kwin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: breeze-dev (>= 4:5.27.7~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-python3,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               hwdata,
               kscreenlocker-dev (>= 5.27.7~),
               libcap-dev [linux-any],
               libdrm-dev (>= 2.4.112~),
               libegl-dev (>= 1.2~),
               libepoxy-dev (>= 1.3),
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev,
               libice-dev,
               libinput-dev (>= 1.19~),
               libkdecorations2-dev (>= 4:5.27.7~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5idletime-dev (>= 5.102.0~),
               libkf5itemviews-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               liblcms2-dev,
               libpipewire-0.3-dev (>= 0.3.29),
               libqaccessibilityclient-qt5-dev,
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libudev-dev [linux-any],
               libwayland-dev (>= 1.20~),
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev (>= 1.10~),
               libxcb-randr0-dev (>= 1.10~),
               libxcb-render0-dev (>= 1.10~),
               libxcb-shape0-dev (>= 1.10~),
               libxcb-shm0-dev (>= 1.10~),
               libxcb-sync-dev (>= 1.10~),
               libxcb-util-dev,
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-xinerama0-dev (>= 1.10~),
               libxcb-xkb-dev (>= 1.10~),
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxcvt-dev (>= 0.1.1~),
               libxi-dev,
               libxkbcommon-dev (>= 0.7.0~),
               libxkbcommon-x11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols (>= 1.9.0~),
               python3:any,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               wayland-protocols (>= 1.31~),
               xwayland (>= 2:22.1.7-1~),
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin.git
Rules-Requires-Root: no

Package: kwin-common
Architecture: any
Depends: hwdata,
         kwin-data (= ${source:Version}),
         libkf5globalaccel-bin,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.27.7~),
Suggests: kwin-addons (>= 4:5.27.7~),
Breaks: plasma-workspace (<< 4:5.14), plasma-workspace-dev (<< 4:5.14),
Description: KDE window manager, common files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: plasma-framework,
            qml-module-qtmultimedia,
            qml-module-qtquick-controls,
            qml-module-qtquick-layouts,
            qml-module-qtquick-virtualkeyboard,
            qml-module-qtquick-window2,
            qml-module-qtquick2,
            systemsettings,
Description: KDE window manager data files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package contains the data files

Package: kwin-dev
Section: libdevel
Architecture: any
Depends: kwin-common (= ${binary:Version}),
         libegl-dev (>= 1.2~),
         libepoxy-dev (>= 1.3),
         libkf5config-dev (>= 5.102.0~),
         libkf5coreaddons-dev (>= 5.102.0~),
         libkf5windowsystem-dev (>= 5.102.0~),
         libqt5x11extras5-dev (>= 5.15.2~),
         libxcb-xfixes0-dev (>= 1.10~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-dev,
Replaces: kde-workspace-dev,
Description: KDE window manager - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: kwin-wayland
Architecture: any
Depends: kwayland-integration (>= 5.27.7~),
         libcap2-bin [linux-any],
         xwayland,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: kwin,
Description: KDE window manager, wayland version, PREVIEW release
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package provides the wayland version, which is still a work in progress
 project, and is available as a PREVIEW release. Don't expect the same
 stability as with the x11 version.
Breaks: plasma-workspace-wayland (<< 4:5.14),

Package: kwin-x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-addons (<< 4:5.14),
Provides: kwin, x-window-manager,
Description: KDE window manager, X11 version
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: libkwineffects14
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkwin4-effect-builtins1, libkwineffects13,
Replaces: libkwineffects13,
Description: KDE window manager effects library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

Package: libkwinglutils14
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkwin4-effect-builtins1, libkwinglutils13,
Replaces: libkwinglutils13,
Description: KDE window manager gl utils library
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.

## kwin 5.27.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "5.27.8") # Handled by release scripts
project(KWin VERSION ${PROJECT_VERSION})

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(GenerateExportHeader)
include(CheckCXXCompilerFlag)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMFindQmlModule)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMConfiguredInstall)
include(ECMQtDeclareLoggingCategory)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    DBus
    Quick
    UiTools
    Widgets
)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
    find_package(Qt5XkbCommonSupport REQUIRED)
else()
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient ShaderTools)
    if (Qt6WaylandClient_VERSION VERSION_LESS "6.4.1") # TODO Plasma 6: Drop once minimum Qt version is 6.4.1+
        include(Qt6WaylandClientMacrosKde)
    endif()
endif()

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL
)
add_feature_info("Qt${QT_MAJOR_VERSION}Test" Qt${QT_MAJOR_VERSION}Test_FOUND "Required for building tests")
if (NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

# required frameworks by Core
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    I18n
    IdleTime
    Package
    Plasma
    WidgetsAddons
    WindowSystem
)
# required frameworks by config modules
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Declarative
    KCMUtils
    NewStuff
    Service
    XmlGui
    ItemViews
)

find_package(Threads)
set_package_properties(Threads PROPERTIES
    PURPOSE "Needed for VirtualTerminal support in KWin Wayland"
    TYPE REQUIRED
)

find_package(KF5Wayland ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Wayland PROPERTIES
    PURPOSE "Required to build wayland platform plugin and tests"
    TYPE REQUIRED
)

# optional frameworks
find_package(KF5Activities ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Activities PROPERTIES
    PURPOSE "Enable building of KWin with kactivities support"
    TYPE OPTIONAL
)
add_feature_info("KF5Activities" KF5Activities_FOUND "Enable building of KWin with kactivities support")

find_package(KF5DocTools ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5DocTools PROPERTIES
    PURPOSE "Enable building documentation"
    TYPE OPTIONAL
)
add_feature_info("KF5DocTools" KF5DocTools_FOUND "Enable building documentation")

find_package(KF5Runner ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Runner PROPERTIES
    PURPOSE "Enable building of KWin with krunner support"
    TYPE OPTIONAL
    )
add_feature_info("KF5Runner" KF5Runner_FOUND "Enable building of KWin with krunner support")

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime for Virtual desktop KCM"
    TYPE RUNTIME
)

find_package(KDecoration2 ${PROJECT_VERSION} CONFIG)
set_package_properties(KDecoration2 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for server side decoration support"
)

find_package(Breeze 5.9.0 CONFIG)
set_package_properties(Breeze PROPERTIES
    TYPE OPTIONAL
    PURPOSE "For setting the default window decoration plugin"
)
if (${Breeze_FOUND})
    if (${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()
add_feature_info("Breeze-Decoration" HAVE_BREEZE_DECO "Default decoration plugin Breeze")

find_package(EGL)
set_package_properties(EGL PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required to build KWin with EGL support"
)

find_package(epoxy 1.3)
set_package_properties(epoxy PROPERTIES
    DESCRIPTION "libepoxy"
    URL "https://github.com/anholt/libepoxy"
    TYPE REQUIRED
    PURPOSE "OpenGL dispatch library"
)

set(HAVE_DL_LIBRARY FALSE)
if (epoxy_HAS_GLX)
    find_library(DL_LIBRARY dl)
    if (DL_LIBRARY)
        set(HAVE_DL_LIBRARY TRUE)
    endif()
endif()

check_cxx_source_compiles("
#include <fcntl.h>
#include <sys/mman.h>
#include <unistd.h>

int main() {
    const int size = 10;
    int fd = memfd_create(\"test\", MFD_CLOEXEC | MFD_ALLOW_SEALING);
    ftruncate(fd, size);
    fcntl(fd, F_ADD_SEALS, F_SEAL_SHRINK | F_SEAL_GROW | F_SEAL_WRITE | F_SEAL_SEAL);
    mmap(nullptr, size, PROT_WRITE, MAP_SHARED, fd, 0);
}" HAVE_MEMFD)

find_package(Wayland 1.21)
set_package_properties(Wayland PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building KWin with Wayland support"
)

find_package(WaylandProtocols 1.31)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

find_package(PlasmaWaylandProtocols 1.9.0 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Plasma-specific Wayland protocols"
    URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
)

if (QT_MAJOR_VERSION EQUAL "5")
    find_package(QtWaylandScanner)
    set_package_properties(QtWaylandScanner PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building KWin with Wayland support"
    )
endif()

find_package(XKB 0.7.0)
set_package_properties(XKB PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building KWin with Wayland support"
)
if (XKB_VERSION VERSION_GREATER_EQUAL 1.5.0)
    set(HAVE_XKBCOMMON_NO_SECURE_GETENV 1)
else()
    set(HAVE_XKBCOMMON_NO_SECURE_GETENV 0)
endif()

pkg_check_modules(XKBX11 IMPORTED_TARGET xkbcommon-x11 REQUIRED)
add_feature_info(XKBX11 XKBX11_FOUND "Required for handling keyboard events in X11 backend")

find_package(Libinput 1.19)
set_package_properties(Libinput PROPERTIES TYPE REQUIRED PURPOSE "Required for input handling on Wayland.")

find_package(UDev)
set_package_properties(UDev PROPERTIES
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    DESCRIPTION "Linux device library."
    TYPE REQUIRED
    PURPOSE "Required for input handling on Wayland."
)

find_package(Libdrm 2.4.112)
set_package_properties(Libdrm PROPERTIES TYPE REQUIRED PURPOSE "Required for drm output on Wayland.")

find_package(gbm)
set_package_properties(gbm PROPERTIES TYPE REQUIRED PURPOSE "Required for egl output of drm backend.")
if (gbm_VERSION VERSION_GREATER_EQUAL 21.1)
    set(HAVE_GBM_BO_GET_FD_FOR_PLANE 1)
else()
    set(HAVE_GBM_BO_GET_FD_FOR_PLANE 0)
endif()
if (gbm_VERSION VERSION_GREATER_EQUAL 21.3)
    set(HAVE_GBM_BO_CREATE_WITH_MODIFIERS2 1)
else()
    set(HAVE_GBM_BO_CREATE_WITH_MODIFIERS2 0)
endif()

pkg_check_modules(Libxcvt IMPORTED_TARGET libxcvt>=0.1.1 REQUIRED)
add_feature_info(Libxcvt Libxcvt_FOUND "Required for generating modes in the drm backend")

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    TYPE REQUIRED
)
add_feature_info("XInput" X11_Xi_FOUND "Required for poll-free mouse cursor updates")
set(HAVE_X11_XINPUT ${X11_Xinput_FOUND})

find_package(lcms2)
set_package_properties(lcms2 PROPERTIES
    DESCRIPTION "Small-footprint color management engine"
    URL "http://www.littlecms.com"
    TYPE REQUIRED
    PURPOSE "Required for the color management system"
)

# All the required XCB components
find_package(XCB 1.10 REQUIRED COMPONENTS
    COMPOSITE
    CURSOR
    DAMAGE
    GLX
    ICCCM
    IMAGE
    KEYSYMS
    PRESENT
    RANDR
    RENDER
    SHAPE
    SHM
    SYNC
    XCB
    XFIXES
    XKB
    XINERAMA
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)

# and the optional XCB dependencies
if (XCB_ICCCM_VERSION VERSION_LESS "0.4")
    set(XCB_ICCCM_FOUND FALSE)
endif()
add_feature_info("XCB-ICCCM" XCB_ICCCM_FOUND "Required for building test applications for KWin")

find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES
    PURPOSE "Required for building X11 windowed backend of kwin_wayland"
    TYPE OPTIONAL
)

# dependencies for QPA plugin
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5FontDatabaseSupport REQUIRED)
    find_package(Qt5ThemeSupport REQUIRED)
    find_package(Qt5ServiceSupport REQUIRED)
    find_package(Qt5EventDispatcherSupport REQUIRED)
endif()

find_package(Freetype)
set_package_properties(Freetype PROPERTIES
    DESCRIPTION "A font rendering engine"
    URL "https://www.freetype.org"
    TYPE REQUIRED
    PURPOSE "Needed for KWin's QPA plugin."
)
find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES
    TYPE REQUIRED
    PURPOSE "Needed for KWin's QPA plugin."
)

find_package(Xwayland)
set_package_properties(Xwayland PROPERTIES
    URL "https://x.org"
    DESCRIPTION "Xwayland X server"
    TYPE RUNTIME
    PURPOSE "Needed for running kwin_wayland"
)
set(HAVE_XWAYLAND_LISTENFD ${Xwayland_HAVE_LISTENFD})

find_package(Libcap)
set_package_properties(Libcap PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Needed for running kwin_wayland with real-time scheduling policy"
)
set(HAVE_LIBCAP ${Libcap_FOUND})

find_package(hwdata)
set_package_properties(hwdata PROPERTIES
    TYPE RUNTIME
    PURPOSE "Runtime-only dependency needed for mapping monitor hardware vendor IDs to full names"
    URL "https://github.com/vcrhonek/hwdata"
)

find_package(QAccessibilityClient CONFIG)
set_package_properties(QAccessibilityClient PROPERTIES
    URL "https://www.kde.org"
    DESCRIPTION "KDE client-side accessibility library"
    TYPE OPTIONAL
    PURPOSE "Required to enable accessibility features"
)
set(HAVE_ACCESSIBILITY ${QAccessibilityClient_FOUND})

ecm_find_qmlmodule(QtQuick 2.3)
ecm_find_qmlmodule(QtQuick.Controls 2.15)
ecm_find_qmlmodule(QtQuick.Layouts 1.3)
ecm_find_qmlmodule(QtQuick.Window 2.1)
ecm_find_qmlmodule(QtMultimedia 5.0)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)
ecm_find_qmlmodule(org.kde.plasma.components 2.0)

########### configure tests ###############
option(KWIN_BUILD_DECORATIONS "Enable building of KWin decorations." ON)
option(KWIN_BUILD_KCMS "Enable building of KWin configuration modules." ON)
option(KWIN_BUILD_NOTIFICATIONS "Enable building of KWin with knotifications support" ON)
option(KWIN_BUILD_SCREENLOCKER "Enable building of KWin lockscreen functionality" ON)
option(KWIN_BUILD_TABBOX "Enable building of KWin Tabbox functionality" ON)
cmake_dependent_option(KWIN_BUILD_ACTIVITIES "Enable building of KWin with kactivities support" ON "KF5Activities_FOUND" OFF)
cmake_dependent_option(KWIN_BUILD_RUNNERS "Enable building of KWin with krunner support" ON "KF5Runner_FOUND" OFF)

set(HAVE_EPOXY_GLX ${epoxy_HAS_GLX})

# for kwin internal things
set(HAVE_X11_XCB ${X11_XCB_FOUND})

check_symbol_exists(SCHED_RESET_ON_FORK "sched.h" HAVE_SCHED_RESET_ON_FORK)
add_feature_info("SCHED_RESET_ON_FORK"
                 HAVE_SCHED_RESET_ON_FORK
                 "Required for running kwin_wayland with real-time scheduling")

=== debian/changelog ===
kwin (4:5.27.8-0ubuntu2) mantic; urgency=medium

  * Remove version from xwayland build dep, as cmake does not specify a
    required version.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 16:11:33 +0100

kwin (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:41 +0100

kwin (4:5.27.7-1ubuntu3) mantic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 21:27:24 +0100

kwin (4:5.27.7-1ubuntu2) mantic; urgency=medium

  * Build depend on dh-sequence-pkgkde-symbolshelper to invoke the
    addon.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 15:58:14 +0100

kwin (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Keep our more detailed install files.
    - Extra qml module dependencies.
    - Recommend qtvirtualkeyboard-plugin.
    - Transitional dummy packages for the osoleted backends.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 15:00:04 +0100

kwin (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:52 +0100

kwin (4:5.27.6-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 21 Jun 2023 11:55:20 +0300

kwin (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:23 +0100

kwin (4:5.27.5-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:19:09 +0300

kwin (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: kwin
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: breeze-dev (>= 4:5.27.7~),
+Build-Depends: breeze-dev (>= 4:5.27.8~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
                hwdata,
-               kscreenlocker-dev (>= 5.27.7~),
+               kscreenlocker-dev (>= 5.27.8~),
                libcap-dev [linux-any],
                libdrm-dev (>= 2.4.112~),
                libegl-dev (>= 1.2~),
@@ -22,7 +24,7 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.19~),
-               libkdecorations2-dev (>= 4:5.27.7~),
+               libkdecorations2-dev (>= 4:5.27.8~),
                libkf5activities-dev (>= 5.102.0~),
                libkf5auth-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
@@ -90,11 +92,11 @@
                qttools5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
                wayland-protocols (>= 1.31~),
-               xwayland (>= 2:22.1.7-1~),
+               xwayland,
 Standards-Version: 4.6.2
 Homepage: https://projects.kde.org/projects/kde/workspace/kwin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
 Rules-Requires-Root: no
 
 Package: kwin-common
@@ -102,11 +104,16 @@
 Depends: hwdata,
          kwin-data (= ${source:Version}),
          libkf5globalaccel-bin,
+         qml-module-org-kde-kcmutils,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
+         qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtmultimedia,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.27.7~),
+Recommends: libqt5multimedia5-plugins,
+            plasma-desktop (>= 4:5.27.7~),
+            qtvirtualkeyboard-plugin,
 Suggests: kwin-addons (>= 4:5.27.7~),
 Breaks: plasma-workspace (<< 4:5.14), plasma-workspace-dev (<< 4:5.14),
 Description: KDE window manager, common files
@@ -190,7 +197,52 @@
  This package provides the wayland version, which is still a work in progress
  project, and is available as a PREVIEW release. Don't expect the same
  stability as with the x11 version.
-Breaks: plasma-workspace-wayland (<< 4:5.14),
+Breaks: plasma-workspace-wayland (<< 4:5.14)
+
+Package: kwin-wayland-backend-drm
+Architecture: any
+Depends: ${misc:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-fbdev
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-virtual
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-wayland
+Architecture: any
+Depends: ${misc:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-x11
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
 
 Package: kwin-x11
 Architecture: any
@@ -211,9 +263,9 @@
 Package: libkwineffects14
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkwin4-effect-builtins1, libkwineffects13,
-Replaces: libkwineffects13,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkwin4-effect-builtins1, libkwineffects12, libkwineffects13
+Replaces: libkwin4-effect-builtins1, libkwineffects12, libkwineffects13
 Description: KDE window manager effects library
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete

## kwin 5.27.10

=== debian/changelog ===
kwin (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Keep our more detailed install files.
    - Transitional dummy packages for the osoleted backends.

  [ Scarlett Moore ]
  * Reease to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:47:24 -0700

kwin (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:18 +0100

kwin (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:40 +0000

kwin (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:36 +0200

kwin (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:53 +0100

kwin (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:10:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: breeze-dev (>= 4:5.27.8~),
+Build-Depends: breeze-dev (>= 4:5.27.10~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -14,7 +14,7 @@
                extra-cmake-modules (>= 5.102.0~),
                gettext,
                hwdata,
-               kscreenlocker-dev (>= 5.27.8~),
+               kscreenlocker-dev (>= 5.27.10~),
                libcap-dev [linux-any],
                libdrm-dev (>= 2.4.112~),
                libegl-dev (>= 1.2~),
@@ -24,7 +24,7 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.19~),
-               libkdecorations2-dev (>= 4:5.27.8~),
+               libkdecorations2-dev (>= 4:5.27.10~),
                libkf5activities-dev (>= 5.102.0~),
                libkf5auth-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
@@ -179,7 +179,7 @@
 
 Package: kwin-wayland
 Architecture: any
-Depends: kwayland-integration (>= 5.27.7~),
+Depends: kwayland-integration (>= 5.27.10~),
          libcap2-bin [linux-any],
          xwayland,
          ${misc:Depends},
